=== debian/changelog ===
ros-melodic-compressed-image-transport (1.9.6-1bionic) bionic; urgency=high

  * Update maintainer in ros1 branches ( #133 <https://github.com/ros-perception/image_transport_plugins/issues/133>)
  * Performance optimizations for JPEG decompression (#123 <https://github.com/ros-perception/image_transport_plugins/issues/123>)
  * Fixed warning when resubscribing (#25 <https://github.com/ros-perception/image_transport_plugins/issues/25>)
  * Fix binary install locations for Windows build. (#34 <https://github.com/ros-perception/image_transport_plugins/issues/34>)
  * Add legacy constants when using opencv4. (#32 <https://github.com/ros-perception/image_transport_plugins/issues/32>)
  * Contributors: David Gossow, Hans Gaiser, Kenji Brameld, Max Schwarz, Sean Yen, Till Grenzdörffer, Yuki Furuta, ijnek

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 30 Jan 2023 06:00:00 -0000

ros-melodic-compressed-image-transport (1.9.5-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2016 05:00:00 -0000

ros-melodic-compressed-image-transport (1.9.4-1bionic) bionic; urgency=high

  * address gcc6 build error and tune
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 02 Oct 2016 05:00:00 -0000

ros-melodic-compressed-image-transport (1.9.3-1bionic) bionic; urgency=high

  * remove useless tf dependencies
  * Using cfg-defined constants
  * Changed flag name, and corrected typo in flag use.
  * using IMREAD flags.
  * Updated for indigo-devel
  * Contributors: Cedric Pradalier, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-melodic-compressed-image-transport (1.9.2-1bionic) bionic; urgency=high

  * get code to compile with OpenCV3
  * avoid yet another image copy
  * avoid copying data if it can be shared
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 25 Apr 2015 05:00:00 -0000

ros-melodic-compressed-image-transport (1.9.1-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jul 2014 05:00:00 -0000

ros-melodic-compressed-image-transport (1.9.0-1bionic) bionic; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 16 May 2014 05:00:00 -0000

ros-melodic-compressed-image-transport (1.8.21-1bionic) bionic; urgency=high

  * maintainer: david gossow
  * Contributors: David Gossow

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jun 2013 05:00:00 -0000

ros-melodic-compressed-image-transport (1.8.20-1bionic) bionic; urgency=high

  * 1.8.19 -> 1.8.20
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 18 Mar 2013 05:00:00 -0000

ros-melodic-compressed-image-transport (1.8.19-1bionic) bionic; urgency=high

  * 1.8.18 -> 1.8.19
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sun, 24 Feb 2013 06:00:00 -0000

ros-melodic-compressed-image-transport (1.8.18-1bionic) bionic; urgency=high

  * 1.8.17 -> 1.8.18
  * fixing input format checks (enabling rgba, bgra) + minor fixes
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 07 Feb 2013 23:59:00 -0000

ros-melodic-compressed-image-transport (1.8.17-1bionic) bionic; urgency=high

  * 1.8.16 -> 1.8.17
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 18 Jan 2013 06:00:00 -0000

ros-melodic-compressed-image-transport (1.8.16-1bionic) bionic; urgency=high

  * 1.8.15 -> 1.8.16
  * use the pluginlib script to remove some runtime warnings
  * Contributors: Julius Kammerl, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 17 Jan 2013 06:00:00 -0000

ros-melodic-compressed-image-transport (1.8.15-1bionic) bionic; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 02:11:00 -0000

ros-melodic-compressed-image-transport (1.8.14-1bionic) bionic; urgency=high

  * fix the bad xml naming
  * Contributors: Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 02:02:00 -0000

ros-melodic-compressed-image-transport (1.8.13-1bionic) bionic; urgency=high

  * fix the bad exports
  * make sure the plugins are visible by image_transport
  * added license headers to various cpp and h files
  * Contributors: Aaron Blasdel, Vincent Rabaud

 -- Kenji Brameld <kenjibrameld@gmail.com>  Sat, 29 Dec 2012 01:06:00 -0000

ros-melodic-compressed-image-transport (1.8.12-1bionic) bionic; urgency=high

  * fix downstream stuff in cmake
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 20 Dec 2012 01:30:00 -0000

ros-melodic-compressed-image-transport (1.8.11-1bionic) bionic; urgency=high

  * fix cmake order
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 23:17:00 -0000

ros-melodic-compressed-image-transport (1.8.10-1bionic) bionic; urgency=high

  * fix dyn reconf
  * Contributors: Dirk Thomas

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 23:03:00 -0000

ros-melodic-compressed-image-transport (1.8.9-1bionic) bionic; urgency=high

  * switching to verion 1.8.9
  * fixing dynamic_reconfigure related catkin errors
  * Contributors: Julius Kammerl

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Dec 2012 06:26:00 -0000

ros-melodic-compressed-image-transport (1.8.8-1bionic) bionic; urgency=high

  * adding build_deb on message_generation & mrun_deb on message_runtime

