=== debian/control ===
Source: ros-melodic-compressed-image-transport
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libturbojpeg0-dev, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport
Homepage: http://www.ros.org/wiki/image_transport_plugins
Standards-Version: 3.9.2

Package: ros-melodic-compressed-image-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libturbojpeg0-dev, ros-melodic-cv-bridge, ros-melodic-dynamic-reconfigure, ros-melodic-image-transport
Description: Compressed_image_transport provides a plugin to image_transport for transparently sending images encoded as JPEG or PNG.
